Šta uraditi kada WordPress traži noviju PHP verziju?

WordPress i njegovi plaginovi napisani su u PHP programskom jeziku koji se aktivno unapređuje. Ukoliko ste dobili obaveštenje da je vreme da pređete na noviju verziju PHP-a evo šta treba da uradite.

Proverite koju verziju PHP-a trenutno koristite

Ukoliko ste vaš sajt u WordPressu napravili pre nekoliko godina i od tada niste menjali verziju PHP-a u cPanelu, moguće je da koristite starije verzije 5.3 ili 5.4. Da proverite koju verziju koristite ulogujte se na cPanel i otvorite Select PHP Version aplikaciju.  Ukoliko u aplikaciji stoji „Current PHP version: native (5.6)“ znači da koristite 5.6 verziju.

 

Ovo znači i da su WordPress i plaginovi prilagođeni radu na toj verziji. Potrebno je da kontaktirate programera koji je vaš sajt napravio i proverite da li će sve raditi ispravno kada pređete na novije PHP okruženje. Bitno je da u trenutku prelaska na noviju verziju vaš programer bude pored računara kako bi ispravio određene nepravilnosti ukoliko do njih dođe.

Ulogujte se na cPanel i odaberite PHP verziju

Kada sve proverite, promena PHP verzije radi se lako. Potrebno je da se ulogujete na cPanel i potražite aplikaciju Select PHP version. Možete pročitati i naš prethodni članak o tome: Kako promeniti PHP verziju iz cPanela.

Ukoliko ste na verziji 5.6, nije hitno da odmah pređete na noviju verziju. WordPress i njegovi plaginovi još uvek rade odlično na ovoj verziji. Ono što možete uraditi je da u narednih nekoliko meseci polako pripremite prelazak na verziju 7.0 ili 7.1 koje su preporučene su za najoptimalniji rad.

Ukoliko odmah menjate verziju dovoljno je da iz padajućeg menija PHP Version odaberete novu verziju i kliknete na dugme Set as current:

Time ćete obaviti prelazak na noviju PHP verziju, pa testirajte sajt i proverite da li sve radi ispravno.

Preporučene PHP verzije za bolji rad i sigurnost

WordPress i većina plaginova mogu prikazati obaveštenje da treba da pređete na noviju ukoliko ste ispod 5.6 verzije. Na primer, Mail Poet 3 plagin ne može da radi na verzijama PHP-a starijim od 5.6, dok je preporučena verzija 7.0 ili 7.1. Ovo i jesu trenutno najotimizovanije verzije i slobodno planirajte da pređete na jednu od njih.

Ujedno, 7.0 i 7.1 su verzije sa aktivnom podrškom za korišćenje pa se i razvoj platformi kao što je WordPress oslanja na ove verzije umesto na starije. Prednosti ovih verzija je što su prethodni bagovi (engl. bug, prev. greška) kao i sigurnosni propusti ispravljeni pa će i vaš sajt biti sigurniji. Sajtovi na ovim verzijama rade brže, dok ukoliko imate svoj server, nove PHP verzije će imati manji hardverski zahtev kada su resursi u pitanju.

Najnovije i podržane verzije PHP-a su već dostupne na Adriahost hosting paketima pa je potrebno samo da sa vašim programerom isplanirate prelazak. Ukoliko budete imali problema ili ne koristite naš hosting a potrebna vam je novija verzija PHP-a slobodno nas kontaktirajte sa naše kontakt stranice.

Tags: , , , ,

Nema komentara.

Pošalji komentar